/**
 * @file
 *
 * Declarations for possible access patterns.
 *
 * @author Jens Teubner <jens.teubner@inf.ethz.ch>
 *
 * (c) 2010 ETH Zurich, Systems Group
 *
 * $Id: pattern.h 1100 2011-08-17 14:32:58Z jteubner $
 */

#include "config.h"

#ifndef PATTERN_H
#define PATTERN_H

#include <stdlib.h>

#include "workset/workset.h"

elem_t * pattern_seq (elem_t *elems, size_t size, unsigned int stride);

elem_t * pattern_rand (elem_t *elems, size_t size, unsigned int stride);

#endif  /* PATTERN_H? */
